Table of Contents | Previous | Next | Index

# JavaClass

A JavaScript reference to a Java class.

Core object |
Implemented in | JavaScript 1.1, NES 2.0

#### Created by

A reference to the class name used with the `Packages` object:

    Packages.JavaClass

where JavaClass is the fully-specified name of the object's Java class. The LiveConnect `java`, `sun`, and `netscape` objects provide shortcuts for commonly used Java packages and also create `JavaClass` objects.

#### Description

A `JavaClass` object is a reference to one of the classes in a Java package, such as `netscape.javascript.JSObject`. A `JavaPackage` object is a reference to a Java package, such as `netscape.javascript`. In JavaScript, the `JavaPackage` and `JavaClass` hierarchy reflect the Java package and class hierarchy. You must create a wrapper around an instance of `java.lang.Class` before you pass it as a parameter to a Java method--`JavaClass` objects are not automatically converted to instances of `java.lang.Class`.

#### Property Summary

The properties of a `JavaClass` object are the static fields of the Java class.

#### Method Summary

The methods of a `JavaClass` object are the static methods of the Java class.

#### Examples

In the following example, `x` is a `JavaClass` object referring to `java.awt.Font`. Because `BOLD` is a static field in the `Font` class, it is also a property of the `JavaClass` object.

    x = java.awt.Font
    myFont = x("helv",x.BOLD,10) // creates a Font object

The previous example omits the `Packages` keyword and uses the `java` synonym because the `Font` class is in the `java` package.

#### See also

`JavaArray`, `JavaObject`, `JavaPackage`, `Packages`

Table of Contents | Previous | Next | Index

Last Updated: 05/28/99 11:59:41

Copyright (c) 1999 Netscape Communications Corporation